langcode: en
status: true
dependencies:
  config:
    - field.field.media.image.field_media_image
    - field.field.media.svg_image.field_media_svg_image
    - image.style.canvas_parametrized_width
    - media.type.image
    - media.type.svg_image
  module:
    - file
    - link
    - media
    - media_library
    - options
  theme:
    - eureka
label: 'Hero Primary'
id: sdc.eureka.hero-primary
source: sdc
source_local_id: 'eureka:hero-primary'
provider: eureka
active_version: d25924f4afd534ea
versioned_properties:
  active:
    settings:
      prop_field_definitions:
        hero_primary_media:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        hero_primary_media_alt:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Hero image alt text for screenreaders'
          expression: ℹ︎string␟value
        hero_primary_heading_white_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Welcome to'
          expression: ℹ︎string␟value
        hero_primary_heading_colour_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum'
          expression: ℹ︎string␟value
        hero_primary_heading_level:
          required: false
          field_type: list_float
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: '1'
          expression: ℹ︎list_float␟value
        hero_primary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed blandit turpis. Nunc diam urna, tristique quis semper quis, interdum ac nunc.'
          expression: ℹ︎string␟value
        hero_primary_cta_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_cta_secondary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
    fallback_metadata:
      slot_definitions: {  }
  d25924f4afd534ea:
    settings:
      prop_field_definitions:
        hero_primary_media:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        hero_primary_media_alt:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Hero image alt text for screenreaders'
          expression: ℹ︎string␟value
        hero_primary_heading_white_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Welcome to'
          expression: ℹ︎string␟value
        hero_primary_heading_colour_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum'
          expression: ℹ︎string␟value
        hero_primary_heading_level:
          required: false
          field_type: list_float
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: '1'
          expression: ℹ︎list_float␟value
        hero_primary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed blandit turpis. Nunc diam urna, tristique quis semper quis, interdum ac nunc.'
          expression: ℹ︎string␟value
        hero_primary_cta_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_cta_secondary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_url:
          default_value:
            -
              options: {  }
              uri: 'https://uri.example.com'
          expression: ℹ︎link␟url
          field_instance_settings:
            link_type: 17
            title: 0
          field_storage_settings: {  }
          field_type: link
          field_widget: link_default
          required: false
    fallback_metadata:
      slot_definitions: {  }
  65f15af6dc52336b:
    settings:
      prop_field_definitions:
        hero_primary_media:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        hero_primary_media_alt:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Hero image alt text for screenreaders'
          expression: ℹ︎string␟value
        hero_primary_heading_white_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Welcome to'
          expression: ℹ︎string␟value
        hero_primary_heading_colour_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum'
          expression: ℹ︎string␟value
        hero_primary_heading_level:
          required: false
          field_type: list_float
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: '1'
          expression: ℹ︎list_float␟value
        hero_primary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sed blandit turpis. Nunc diam urna, tristique quis semper quis, interdum ac nunc.'
          expression: ℹ︎string␟value
        hero_primary_cta_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_cta_secondary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
    fallback_metadata:
      slot_definitions: {  }
  fb02400ea897f1de:
    settings:
      prop_field_definitions:
        heading_primary_colour_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: Lorem
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_cta_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_heading:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum'
          expression: ℹ︎string␟value
        hero_primary_heading_level:
          required: false
          field_type: list_float
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: '1'
          expression: ℹ︎list_float␟value
        hero_primary_media:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        hero_primary_media_alt:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Hero image alt text for screenreaders'
          expression: ℹ︎string␟value
        hero_primary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Dolor sit amet'
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
  14cb953590a6d111:
    settings:
      prop_field_definitions:
        heading_primary_colourful_words:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: Lorem
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_secondary_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_cta_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Call to action'
          expression: ℹ︎string␟value
        hero_primary_cta_url:
          required: false
          field_type: link
          field_storage_settings: {  }
          field_instance_settings:
            title: 0
            link_type: 17
          field_widget: link_default
          default_value:
            -
              uri: 'https://uri.example.com'
              options: {  }
          expression: ℹ︎link␟url
        hero_primary_heading:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum'
          expression: ℹ︎string␟value
        hero_primary_heading_level:
          required: false
          field_type: list_float
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: '1'
          expression: ℹ︎list_float␟value
        hero_primary_media:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        hero_primary_media_alt:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Hero image alt text for screenreaders'
          expression: ℹ︎string␟value
        hero_primary_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Dolor sit amet'
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
